PLSDIPLZ(3)

NAME
plsdiplz - Set parameters incrementally (zoom mode) that define current plot-space window

SYNOPSIS
plsdiplz(xmin, ymin, xmax, ymax)

DESCRIPTION

Set relative minima and maxima incrementally (zoom mode) that define the current plot-space window. This function has the same effect as plsdiplt(3) if that function has not been previously called. Otherwise, this function implements zoom mode using the transformation min_used = old_min + old_length*min and max_used = old_min + old_length*max for each axis. For example, if min = 0.05 and max = 0.95 for each axis, repeated calls to plsdiplz(3) will zoom in by 10 per cent for each call.

Redacted form: plsdiplz(xmin, ymin, xmax, ymax)

This function is used in example 31.

ARGUMENTS

xmin (PLFLT(3), input)
    Relative (incremental) minimum in x.

ymin (PLFLT(3), input)
    Relative (incremental) minimum in y.

xmax (PLFLT(3), input)
    Relative (incremental) maximum in x.

ymax (PLFLT(3), input)
    Relative (incremental) maximum in y.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.